PDA

Visualizza la versione completa : mandrake 10 e modem adsl usb


Br4z0
01-06-2004, 22:36
non riesco a configurare il modem adsl usb su mandrake 10,uso eciadsl usermode 0.9. Vi posto i risultati ottenuti. Spero possiate aiutarmi, sono abbastanza insesperto

[root@localhost eciadsl-usermode-0.9]# ./configure
warning: you're running this script as root
root is only required to make install and make cfg

settings:
runtime prefix path = /usr/local (default)
system conf files prefix path = / (default)
driver conf files prefix path = / (default)
driver doc files prefix path = /usr/local (default)
binaries directory = /bin (default)
system conf files directory = /etc (default)
driver conf files directory = /etc/eciadsl (default)
driver doc files directory = /doc/eciadsl (default)
kernel sources path = /usr/src/linux (default)

starting configuration for ECIADSL-0.9 in /home/br4z0/Desktop/eciadsl-usermode-0.9..

checking make location... /usr/bin/make
checking make version... 3.80
checking gcc location... /usr/bin/gcc
checking gcc version... 3.3.2
checking pppd location... /usr/sbin/pppd
checking pppd version... 2.4.1
checking wish location... /usr/bin/wish
checking platform/OS type ... GNU/Linux (little endian), c:1 si:2 i:4 li:4

entering ./
generating Makefile.config... OK
generating config.h... unchanged
leaving ./

configure script has completed successfully
[root@localhost eciadsl-usermode-0.9]# make

[root@localhost eciadsl-usermode-0.9]# make install
if [ -n "//usr/local/" -a "//usr/local/" != "/" ]; then install -c -p -d -m 755 //usr/local/; fi
if [ -n "//" -a "//" != "/" ]; then install -c -p -d -m 755 //; fi
if [ -n "//" -a "//" != "/" ]; then install -c -p -d -m 755 //; fi
if [ -n "//usr/local/" -a "//usr/local/" != "/" ]; then install -c -p -d -m 755 //usr/local/; fi
install -c -p -d -m 755 //usr/local/bin
install -c -p -d -m 755 //etc/eciadsl
install -c -p -d -m 755 //usr/local/doc/eciadsl
install -c -p -d -m 755 //etc/ppp
install -c -p -d -m 755 //etc/ppp/peers
install -c -p -d -m 755 //tmp/inst
make externdistclean
make[1]: Entering directory `/home/br4z0/Desktop/eciadsl-usermode-0.9'
rm -f //tmp/inst/*.sed
rm -f -r //tmp/inst
make[1]: Leaving directory `/home/br4z0/Desktop/eciadsl-usermode-0.9'
rm -f //etc/eciadsl/firmware.bin
rm -f //etc/eciadsl/synch.bin
rm -f //etc/eciadsl/firmware00.bin
rm -f //etc/eciadsl/synch01.bin
rm -f //etc/eciadsl/eci_firm_kit_wanadoo.bin
rm -f //etc/eciadsl/eci_wan.bin
rm -f //etc/eciadsl/eci_wan3.bin
rm -f //etc/eciadsl/eci_wan3.dmt.bin
rm -f //etc/eciadsl/vidpid
rm -f //etc/eciadsl/adsl-skel
install -c -p -m 644 firmware00.bin synch01.bin modemeci.gif providers.db modems.db //etc/eciadsl
install -c -p -m 755 eci-load1 eci-load2 pppoeci check-hdlc check-hdlc-bug //usr/local/bin
[root@localhost eciadsl-usermode-0.9]# eciconf.sh
[root@localhost eciadsl-usermode-0.9]# cd..
[root@localhost Desktop]# cd /home
[root@localhost home]# startmodem

setting up USB support (1/5)..
/usr/local/bin/startmodem: line 168: lspci: command not found
/usr/local/bin/startmodem: line 211: lspci: command not found

loading firmware (2/5)..

GlobeSpan USB ADSL WAN Modem compatible modem found (in 2284ms)
ECI load 1: success
firmware loaded successfully

setting up modem (3/5)..

ECI load 2: success
synchronization successful

connecting modem (4/5)..

using channel 2
ioctl(PPPIOCGFLAGS): Inappropriate ioctl for device
failed to connect

penso l'errore sia in quel line168 e line 211 .. ma cosa devo fare??

ciao e grazie! Vorrei installare la slackware 9.1, me la consigliate?

andy caps
01-06-2004, 23:01
per quell'errore installa pciutils e shareutils

poi digita lspci per vedere se va

la slack Ŕ una buonissima distro' anche se non Ŕ proprio delle piu semplici puoi impararci molte cose comunque

alex86
01-06-2004, 23:22
Originariamente inviato da andy caps
per quell'errore installa pciutils e shareutils

poi digita lspci per vedere se va

la slack Ŕ una buonissima distro' anche se non Ŕ proprio delle piu semplici puoi impararci molte cose comunque

vado a letto :gren: :ciauz:

Br4z0
01-06-2004, 23:50
ma cosa fa apposta?!!?

setting up USB support (1/5)..

loading firmware (2/5)..

firmware seems to be already loaded

setting up modem (3/5)..

ECI load 2: success
synchronization successful

connecting modem (4/5)..

using channel 2
ioctl(PPPIOCGFLAGS): Inappropriate ioctl for device
failed to connect


ciao!!

alex86
02-06-2004, 00:01
ma hai installato la patch e ricompilato? :master:

Br4z0
02-06-2004, 02:32
ho reinstallato i driver eciadsl, poi ho fatto startmodem e mi da questo errore, siceramente non so dove andare a toccare per risolvere il problema.

grazie ciao!!

dreamanto
02-06-2004, 08:59
Ciao, anch'io inizialmente ho avuto qualche problema con la mdk 10.
Hai due possibilitÓ :
1)seguendo le istruzioni per Mandrake10 su www.flashtux.org puoi patchare e ricompilare il kernel;
2)oppure puoi cercare con google questo kernel che contiene giÓ la patch:
kernel-3phoenix-2.6.6.2mdk-1-1mdk.i586.rpm (mi pare si trovasse su un ftp svizzero)
Lo installi, riavvii il pc e riconfiguri il settaggio con eciconf.sh
Io ho l'Ericsson 120dp con Alice ed Ŕ andato subito tutto.

Facci sapere! Ciao :ciauz:
dreamanto

francofait
02-06-2004, 09:37
Originariamente inviato da dreamanto
Ciao, anch'io inizialmente ho avuto qualche problema con la mdk 10.
Hai due possibilitÓ :
1)seguendo le istruzioni per Mandrake10 su www.flashtux.org puoi patchare e ricompilare il kernel;
2)oppure puoi cercare con google questo kernel che contiene giÓ la patch:
kernel-3phoenix-2.6.6.2mdk-1-1mdk.i586.rpm (mi pare si trovasse su un ftp svizzero)
Lo installi, riavvii il pc e riconfiguri il settaggio con eciconf.sh
Io ho l'Ericsson 120dp con Alice ed Ŕ andato subito tutto.

Facci sapere! Ciao :ciauz:
dreamanto

Per i kernel-26.6-2.Phenix ' Raccolta indirizzi utili in rilevo qui sul forum '

Br4z0
02-06-2004, 11:21
con google non riesco a trovare il pacchetto che mi dici, non mi trova nulla, ed ora provo a patchare e ricompilare a mano se ci riesco, ma la vedo dura, non c'ho mai messo mano! :)

Cmq, tu ce l'hai ancora quel kernel-3phoenix-2.6.6.2mdk-1-1mdk.i586.rpm??

Riusciresti ad inviarmelo per posta o magari dimmi il link se te lo ritrovi?!


vado a patchare!! ciao e grazie!!

francofait
02-06-2004, 11:30
Originariamente inviato da Br4z0
con google non riesco a trovare il pacchetto che mi dici, non mi trova nulla, ed ora provo a patchare e ricompilare a mano se ci riesco, ma la vedo dura, non c'ho mai messo mano! :)

Cmq, tu ce l'hai ancora quel kernel-3phoenix-2.6.6.2mdk-1-1mdk.i586.rpm??

Riusciresti ad inviarmelo per posta o magari dimmi il link se te lo ritrovi?!


vado a patchare!! ciao e grazie!!

ftp://ftp.pcds.ch/pub/people/rapsys/i586/

Loading